Package org.eclipse.core.commands.operations

# Interface IContextReplacingOperation

All Known Implementing Classes:
  `TriggeredOperations`

public interface IContextReplacingOperation
IContextReplacingOperation defines an interface for undoable operations that can replace one undo context with another undo context. It is used by operations, such as composite operations, where removing and adding an undo context would not have the same semantic as replacing one undo context with another.

Since:
  3.2

## Method Summary

Modifier and Type
Method
Description
`void`
`replaceContext(IUndoContext original, IUndoContext replacement)`
Replace the undo context of the receiver with the provided replacement undo context.

## Method Details

### replaceContext

void replaceContext(IUndoContext original, IUndoContext replacement)
Replace the undo context of the receiver with the provided replacement undo context.

This message has no effect if the original undo context is not present in the receiver.

Parameters:
  `original` - the undo context which is to be replaced
  `replacement` - the undo context which is replacing the original